Subject: bug#43789: Re: bug#43789: 27.1; Dired cannot handle file which name contains linebreak

From: "Zhu Zihao" <[email-masked]>
Date: Wed, 7 Oct 2020 00:11:35 +0800 (CST)

I think I get an acceptable solution. thank you  all!

We may close this issue now.

At 2020-10-05 17:51:00, "Eli Zaretskii" <[email-masked]> wrote:
>> From: Michael Albinus <[email-masked]>
>> Date: Mon, 05 Oct 2020 11:30:50 +0200
>> Cc: [email-masked]
>> 
>> "Zhu Zihao" <[email-masked]> writes:
>> 
>> > Step to reproduce:
>> >
>> > 1. Use touch from coreutils or find-file in Emacs to create a file
>> > which name contains a linebreak. (e.g. "line\nbreak")
>> > 2. Visit it in dired, you cannot do anything with this file because
>> > the characters after "\n" was ignored by dired.
>> 
>> I recommend to avoid file names containing line breaks. Tramp, for
>> example, cannot handle them at all.
>
>Cannot agree more.  And I think we shouldn't tweak our implementation
>too much for such use cases, given that there's an easy workaround.